//Importing the package:
import 'package:simple_prompter/simple_prompter.dart';

void main() {
//Creating a new instance of Prompter():
  final prompter = new Prompter();

//Creating a bunch of options for colors and their hex codes:
  final options = <Option>[
    new Option(label: 'I want Red', value: '#f00'),
    new Option(label: 'Gimme Blue', value: '#00f'),
    new Option(label: 'GREEN!', value: '#0f0'),
  ];

//Asking a multiple-choice question:
  final String colorCode =
      prompter.askMultiple('What is your favorite color?', options);

//Asking a yes/no question:
  final bool answer = prompter.askBinary('Do You like dragons?');

//Printing the 'value' of the selected color:
  print(colorCode);

//Printing true for 'y'/yes and false otherwise:
  print(answer);
}
